/**
 * Author: Andreas Gasper
 */

/** number_of_statements_in_a_method(+MethodID,-NumberOfStatements) /2
	succeeds if Arg2 is the number of all statements in method with ID Arg1
*/
number_of_statements_in_a_method(MethodID,NumberOfStatements):-
	ground(MethodID), 	
 	findall(Len,  
 		( 
 			statements_in_method(MethodID, Statements),
 			length(Statements, Len)
 		),
 		List), 
 	sumlist(List, NumberOfStatements).