/**
* return_type(+MethodID, -ReturnType) 
* Returns the return type (TypeTerm) of given method 
*/
return_type(MethodID, ReturnType) :-
    methodDef(MethodID, _, _, _, ReturnType, _, _).

/**
* return_type_name(?MethodID, ?ReturnType)
*
* Returns the return type (name) of given method 
*/
return_type_name(MethodID, ReturnType) :-
    methodDef(MethodID, _, _, _, TypeTerm, _, _),
    type_term_nqn(TypeTerm, ReturnType).

/**
* return_type_id(?MethodID, ?ReturnType)
*
* Return the return type id og given method 
*/
return_type_id(MethodID, ReturnType) :-
    methodDef(MethodID, _, _, _, type(_, ReturnType, _), _, _).
    
