:- multifile query_description/3.
:- multifile metric_/3.
:- multifile metric_attributes/2.

query_description(dit,metric, 'depth of inheritance tree').
metric_attributes(dit, int(range(0,infinity), defaultthresholds(0,infinity))).

/** *******************************************************************
    dit(+ClassId, ?Depth)
    Depth is the number of inheritance steps from ClassId to 'Object'.
*/
metric_(dit, ClassID, DIT) :-
    internal_type(ClassID),
    is_named(ClassID),
    classT(ObjectClassID,_,'Object',_),
    extendsRecursive(ClassID,ObjectClassID,DIT).