/**
* FANOUT - total number of called classes
*/
total_number_of_called_classes(FANOUT) :-
    findall(Type,
    		(
          	 callT(_, _, _, _, _, _, Called), method_is_in_type(Called, Type)
    		),
          CalledTypes), 
          sort(CalledTypes, CalledTypesWithoutDuplicates), 
          length(CalledTypesWithoutDuplicates, FANOUT).		