/**
* CALLS - number of calls to distinct operations (Lanza/Marinescu)
* sample: if an operation foo() is called three times by f1(),
   it is counted only _once_, while calls from f1(), f2(), f3() 
   are counet as three calls. 
*/
total_number_of_distinct_operation_calls(CALLS) :-
    count(Called,
           (callT(_, _, Calling, _, _, _, Called),
    		once(method_calls_method(Calling, Called))),
          CALLS).